Fetch CS Rs

Fetch CS Rs
Return list of Certificate CSRs.

Return list of Certificate CSRs.

Request
URI
GET
https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs
COPY
Query Parameters
string
commonName
Optional

commonName

string
applianceType
Optional

applianceType

string
applianceFqdn
Optional

applianceFqdn

string
certificateType
Optional

certificateType

string
certificateId
Optional

certificateId

string
csrPublicKey
Optional

csrPublicKey

integer
page
Optional
Constraints: default: 0

page

integer
pageSize
Optional
Constraints: default: 10

pageSize


Authentication
This operation uses the following authentication methods.
Responses
200

List of certificate csrs

Returns CertificateSignatures of type(s) application/json
"{\n  \"pageInfo\" : {\n    \"totalCount\" : 1,\n    \"page\" : 0,\n    \"pageSize\" : 10\n  },\n  \"certificateSignatureInfo\" : [ {\n    \"id\" : \"csr-id-123\",\n    \"applianceHostname\" : \"vcenter.vsphere.local.com\",\n    \"commonName\" : \"vcenter.vsphere.local.com\",\n    \"csr\" : \"-----BEGIN CERTIFICATE REQUEST-----\\nMIICvDCCAaQCAQAwdzELMAkGA1UEBhMCVVMx...\\n-----END CERTIFICATE REQUEST-----\"\n  } ]\n}"
array of object
certificateSignatureInfo
Optional

List of What-If Scenarios

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/certificate-management/csrs